package net.nevet5.buzzbot;

import org.simpleyaml.configuration.file.YamlFile;

import java.io.IOException;

public class Config {
    private static final YamlFile YML_FILE = new YamlFile("./config.yml");

    public static void loadConfig() {
        YML_FILE.setConfigurationFile("./config.yml");
        try {
            if (!YML_FILE.exists()) {
                System.out.println("Config file not found, creating new one...");
                YML_FILE.createNewFile(true);
                System.out.println("Config file created!");
            } else {
                System.out.println("Loading Config file...");
                YML_FILE.loadWithComments();
                System.out.println("Config file loaded!");
            }
        } catch (final Exception e) {
            System.out.println("Error while loading config file!");
            e.printStackTrace();
        }

        
        YML_FILE.addDefault("bot.token", "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx");
        YML_FILE.addDefault("bot.prefix", "!");
        YML_FILE.addDefault("bot.activity", "playing");
        YML_FILE.addDefault("bot.action", "with myself");
        YML_FILE.addDefault("database.url", "localhost");
        YML_FILE.addDefault("database.database", "buzzbot");
        YML_FILE.addDefault("database.user", "barry");
        YML_FILE.addDefault("database.password", "benson");

        try {
            YML_FILE.save();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static YamlFile getConfig() {
        return YML_FILE;
    }
}
